#!/bin/sh

files=`find . -name '*.png'`

PROJECT_ROOT=$(git rev-parse --show-toplevel)
x86DIR=$PROJECT_ROOT"/build/bin"
IDENTIFY="$x86DIR/ImageMagick/bin/identify"
CONVERT="$x86DIR/ImageMagick/bin/convert"

for f in $files; do
	fn=`echo $f | sed -e 's/\.png$//'`
	nfn=$fn
	ftype=""
	if [[ $nfn =~ _ipad@2x$ ]] ; then 
		nameO=`echo $fn | sed -e 's/\@2x$//'`
		nameO="$nameO"".png"
		if [ ! -f "$nameO" ]; then
			echo "not exist $nameO"
		fi
		ftype="pad2"
	else
		nfn=$fn
		if [[ $nfn =~ @2x$ ]]; then
			nameO=`echo $fn | sed -e 's/\@2x$//'`
			nameO="$nameO"".png"
			if [ ! -f "$nameO" ]; then
				echo "not exist $nameO"
			fi
			ftype="2"
		elif [[ $nfn =~ _ipad$ ]]; then
			name2x="$fn""@2x.png"
			if [ ! -f "$name2x" ]; then
				echo "not exist $name2x" >/dev/null
			else
				W=`$IDENTIFY -format "%W" "$f"`
				H=`$IDENTIFY -format "%H" "$f"`
				W2=`$IDENTIFY -format "%W" "$name2x"`
				H2=`$IDENTIFY -format "%H" "$name2x"`
				WW2=$(( $W * 2 ))
				HH2=$(( $H * 2 ))
				if [ "$WW2$HH2" != "$W2$H2" ]; then
					echo "file $name2x now $W2""x$H2 , 	must be $WW2""x$HH2"
				fi
			fi
			ftype="pad"
		else
			nfn=$fn
			if [[ $nfn =~ _universal$ ]]; then
				echo "skip $fn"	 >/dev/null
			elif [[ $nfn =~ _nogui/ ]]; then
				echo "skip $fn"	 >/dev/null
			else
				name2x="$fn""@2x.png"
				if [ ! -f "$name2x" ]; then
					echo "not exist $name2x"
				else
						W=`$IDENTIFY -format "%W" "$f"`
						H=`$IDENTIFY -format "%H" "$f"`
						W2=`$IDENTIFY -format "%W" "$name2x"`
						H2=`$IDENTIFY -format "%H" "$name2x"`
						WW2=$(( $W * 2 ))
						HH2=$(( $H * 2 ))
						if [ "$WW2$HH2" != "$W2$H2" ]; then
							echo "file $name2x now $W2""x$H2 , 	must be $WW2""x$HH2"
						fi
				fi
			fi
		fi
	fi
	#echo "file : $fn		$ftype"

done