#!/bin/sh

files=`find . -name '*.png'`

PROJECT_ROOT=$(git rev-parse --show-toplevel)
x86DIR=$PROJECT_ROOT"/build/bin"
IDENTIFY="$x86DIR/ImageMagick/bin/identify"
CONVERT="$x86DIR/ImageMagick/bin/convert"

for f in $files; do
	fn=`echo $f | sed -e 's/\.png$//'`
	nfn=$fn
	ftype=""
	if [[ $nfn =~ _ipad@2x$ ]] ; then 
		nameO=`echo $fn | sed -e 's/\@2x$//'`
		nameO="$nameO"".png"
		if [ ! -f "$nameO" ]; then
			echo "not exist $nameO"  >/dev/null
		fi
		ftype="pad2"
	else
		nfn=$fn
		if [[ $nfn =~ @2x$ ]]; then
			nameO=`echo $fn | sed -e 's/\@2x$//'`
			nameO="$nameO"".png"
			if [ ! -f "$nameO" ]; then
				echo "not exist $nameO" 
			else
				W=`$IDENTIFY -format "%W" "$f"`
				H=`$IDENTIFY -format "%H" "$f"`
				W2=$(( $W / 2 ))
				H2=$(( $H / 2 ))
				WW2=$(( $W2 * 2 ))
				HH2=$(( $H2 * 2 ))
				
				if [ "$W$H" != "$WW2$HH2" ]; then
					NW=$W
					if [ "$W" != "$WW2" ]; then
						NW=$(( $W + 1 ))
					fi
					NH=$H
					if [ "$H" != "$HH2" ]; then
						NH=$(( $H + 1 ))
					fi
					$CONVERT -size $NW"x$NH" xc:transparent $f -geometry +0+0 -composite "$f.tmp.png"
					mv "$f.tmp.png" $f
					echo "resize file $f $W""x$H to $NW""x$NH "
				fi
			fi
			
			#echo "file now $W""x$H , must be $WW2""x$HH2"
			ftype="2"
		fi
	fi
	#echo "file : $fn		$ftype"

done

#exit 1

for f in $files; do
	fn=`echo $f | sed -e 's/\.png$//'`
	nfn=$fn
	ftype=""
	if [[ $nfn =~ _ipad@2x$ ]] ; then 
		echo "x"  >/dev/null
	else
		nfn=$fn
		if [[ $nfn =~ @2x$ ]]; then
			nameO=`echo $fn | sed -e 's/\@2x$//'`
			nameO="$nameO"".png"
			if [ ! -f "$nameO" ]; then
				echo "not exist $nameO" 
			else
				W=`$IDENTIFY -format "%W" "$nameO"`
				H=`$IDENTIFY -format "%H" "$nameO"`
				W2=`$IDENTIFY -format "%W" "$f"`
				H2=`$IDENTIFY -format "%H" "$f"`
				WW2=$(( $W * 2 ))
				HH2=$(( $H * 2 ))
				
				if [ "$WW2$HH2" != "$W2$H2" ]; then
					NW=$(( $W2 / 2 ))
					NH=$(( $H2 / 2 ))
					$CONVERT $f -resize "$NW""x$NH" $nameO
					echo "rewrite file $nameO from $f $W2""x$H2 to `$IDENTIFY -format "%W" "$nameO"`""x`$IDENTIFY -format "%H" "$nameO"`"
				fi
				
			fi
		elif [[ $nfn =~ _ipad$ ]]; then
			echo "x"  >/dev/null
		else
			echo "x"  >/dev/null
		fi
	fi
	#echo "file : $fn		$ftype"

done